:_mod-docs-content-type: PROCEDURE
// Module included in the following assemblies:
//
// assembly_managing-storage-for-virtual-machines-using-the-web-console.adoc

[id="proc_creating-scsi-based-storage-pools-with-vhba-devices-using-the-web-console_{context}"]
= Creating SCSI-based storage pools with vHBA devices by using the web console

An SCSI-based storage pool is based on a Small Computer System Interface (SCSI) device. In this configuration, your host must be able to connect to the SCSI device by using a virtual host bus adapter (vHBA).

.Prerequisites

include::common-content/snip_web-console-prerequisites.adoc[]

* Create a vHBA. For more information, see xref:creating-vhbas_managing-storage-for-virtual-machines[Creating vHBAs].

* The web console VM plug-in
ifdef::virt-title[]
xref:setting-up-the-rhel-web-console-to-manage-vms_managing-virtual-machines-in-the-web-console[is installed on your system].
endif::[]
ifndef::virt-title[]
link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/{ProductNumberLink}/html/configuring_and_managing_virtualization/managing-virtual-machines-in-the-web-console_configuring-and-managing-virtualization[is installed on your system].
endif::virt-title[]

.Procedure

include::common-content/snip_web-console-log-in-step.adoc[]

. In the {ProductShortName} web console, click btn:[Storage pools] in the *Virtual Machines* tab.
+
The *Storage pools* window appears, showing a list of configured storage pools, if any.
+
image::web-console-storage-pools-window.png[Image displaying all the storage pools currently configured on the host, if any.]

. Click btn:[Create storage pool].
+
The *Create storage pool* dialog appears.

. Enter a name for the storage pool.

. In the *Type* drop down menu, select *iSCSI direct target*.
+
image::virt-cockpit-create-scsi-storage-pool.png[Image displaying the Create storage pool dialog box., width=100%]
+
[NOTE]
====
If you do not see the *iSCSI direct target* option in the drop down menu, then your hypervisor does not support SCSI-based storage pools.
====

. Enter the rest of the information:
+
* *Host* - The hostname of the network server where the mount point is located. This can be a hostname or an IP address.
* *Source path* - The unique iSCSI Qualified Name (IQN) of the iSCSI target.
* *Initiator* - The unique iSCSI Qualified Name (IQN) of the iSCSI initiator, the vHBA.
* *Startup* - Whether or not the storage pool starts when the host boots.

. Click btn:[Create].
+
The storage pool is created. The *Create storage pool* dialog closes, and the new storage pool appears in the list of storage pools.

[role="_additional-resources"]
.Additional resources
* {blank}
ifdef::rhel8-virt[]
xref:understanding-storage-pools_understanding-virtual-machine-storage[Understanding storage pools]
endif::[]
ifndef::rhel8-virt[]
link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/{ProductNumberLink}/html/configuring_and_managing_virtualization/managing-storage-for-virtual-machines_configuring-and-managing-virtualization#understanding-storage-pools_understanding-virtual-machine-storage[Understanding storage pools]
endif::[]
* {blank}
ifdef::virt-title[]
xref:viewing-storage-pool-information-using-the-web-console_assembly_managing-virtual-machine-storage-pools-using-the-web-console[Viewing storage pool information by using the web console]
endif::[]
ifndef::virt-title[]
link:https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/{ProductNumberLink}/html/configuring_and_managing_virtualization/managing-storage-for-virtual-machines_configuring-and-managing-virtualization#viewing-storage-pool-information-using-the-web-console_assembly_managing-virtual-machine-storage-pools-using-the-web-console[Viewing storage pool information by using the web console]
endif::[]
